Bug 240160 - [NEW PORTS] www/lua-resty-core + www/lua-resty-lrucache: New FFI-based Lua API for ngx_http_lua_module and/or ngx_stream_lua_module
Summary: [NEW PORTS] www/lua-resty-core + www/lua-resty-lrucache: New FFI-based Lua AP...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Matuska
URL:
Keywords: feature
Depends on:
Blocks: 240438
  Show dependency treegraph
 
Reported: 2019-08-28 09:22 UTC by Dmitry Wagin
Modified: 2019-09-16 00:12 UTC (History)
3 users (show)

See Also:


Attachments
lua-resty-core.diff (4.22 KB, patch)
2019-08-28 09:22 UTC, Dmitry Wagin
no flags Details | Diff
lua-resty-lrucache.diff (2.58 KB, patch)
2019-08-28 09:22 UTC, Dmitry Wagin
no flags Details | Diff
lua-resty-core.diff (4.31 KB, patch)
2019-09-15 22:13 UTC, Dmitry Wagin
no flags Details | Diff
lua-resty-lrucache.diff (2.65 KB, patch)
2019-09-15 22:13 UTC, Dmitry Wagin
no flags Details | Diff
lua-resty-core.diff (4.31 KB, patch)
2019-09-15 22:20 UTC, Dmitry Wagin
no flags Details | Diff
lua-resty-lrucache.diff (2.65 KB, patch)
2019-09-15 22:21 UTC, Dmitry Wagin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Wagin 2019-08-28 09:22:20 UTC
Created attachment 206963 [details]
lua-resty-core.diff

lua-resty-core - New FFI-based Lua API for ngx_http_lua_module and/or ngx_stream_lua_module.

https://github.com/openresty/lua-resty-core

lua-resty-lrucache - Lua-land LRU cache based on the LuaJIT FFI.

https://github.com/openresty/lua-resty-lrucache

poudriere testport passed
Comment 1 Dmitry Wagin 2019-08-28 09:22:57 UTC
Created attachment 206964 [details]
lua-resty-lrucache.diff
Comment 2 Volodymyr Kostyrko 2019-09-13 17:24:23 UTC
+1, I need this too.

@Martin This is actually wrong, #240438 doesn't block this ticket, actually this ticket should be blocking #240438

Anyway, as #240438 is already committed can this one be committed too?

Thanks in advance
Comment 3 Martin Matuska freebsd_committer 2019-09-13 21:53:16 UTC
I am taking this PR and have a question. lua-resty-core and lua-resty-lrucache are actually intended to be used with luajit-openresty. Why the requirement USES=lua:51? These ports should actually do pretty well standalone.
Comment 4 Martin Matuska freebsd_committer 2019-09-13 22:13:32 UTC
I have just checked lang/luajit-openresty

It autosearches (in the following order):
./?.lua
/usr/local/share/luajit-2.1.0-beta3/?.lua
/usr/local/share/lua/5.1/?.lua

I am fine with putting the files into /usr/local/share/lua/5.1 but I still don't think the package has a runtime or buildtime dependency on lua.
Comment 5 Dmitry Wagin 2019-09-15 22:13:17 UTC
Created attachment 207514 [details]
lua-resty-core.diff

changed dependency
Comment 6 Dmitry Wagin 2019-09-15 22:13:58 UTC
Created attachment 207515 [details]
lua-resty-lrucache.diff

changed dependency
Comment 7 Dmitry Wagin 2019-09-15 22:20:31 UTC
Created attachment 207516 [details]
lua-resty-core.diff

fixed portlint warning
Comment 8 Dmitry Wagin 2019-09-15 22:21:24 UTC
Created attachment 207517 [details]
lua-resty-lrucache.diff


fixed portlint warning
Comment 9 commit-hook freebsd_committer 2019-09-15 23:12:36 UTC
A commit references this bug:

Author: mm
Date: Sun Sep 15 23:12:14 UTC 2019
New revision: 512134
URL: https://svnweb.freebsd.org/changeset/ports/512134

Log:
  Lua-land LRU cache based on the LuaJIT FFI

  WWW: https://github.com/openresty/lua-resty-lrucache

  PR:		240160
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

Changes:
  head/www/Makefile
  head/www/lua-resty-lrucache/
  head/www/lua-resty-lrucache/Makefile
  head/www/lua-resty-lrucache/distinfo
  head/www/lua-resty-lrucache/pkg-descr
Comment 10 commit-hook freebsd_committer 2019-09-15 23:19:38 UTC
A commit references this bug:

Author: mm
Date: Sun Sep 15 23:18:48 UTC 2019
New revision: 512135
URL: https://svnweb.freebsd.org/changeset/ports/512135

Log:
  New FFI-based Lua API for ngx_http_lua_module and/or ngx_stream_lua_module

  WWW: https://github.com/openresty/lua-resty-core

  PR:		240160
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

Changes:
  head/www/Makefile
  head/www/lua-resty-core/
  head/www/lua-resty-core/Makefile
  head/www/lua-resty-core/distinfo
  head/www/lua-resty-core/pkg-descr
  head/www/lua-resty-core/pkg-plist